Name:		melonDS
Version:	0.9.2
Release:	1%{?dist}
Summary:	Nintendo DS emulator

License:	GPLv3+
URL:		https://melonds.kuribo64.net
Source0:	https://github.com/Arisotura/melonDS/archive/%{version}/%{name}-%{version}.tar.gz

BuildRequires:	cmake
BuildRequires:	desktop-file-utils
BuildRequires:	g++
BuildRequires:	pkgconfig(Qt5)
BuildRequires:	pkgconfig(Qt5Qml)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libarchive)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libpcap)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(slirp)

%description
melonDS aims at providing fast and accurate Nintendo DS emulation.
While it is still a work in progress, it has a pretty solid set of
features, including an OpenGL renderer, 3D upscaling, RTC, online
multiplayer, and more.

%undefine _hardened_build

%prep
%autosetup
%cmake -DCMAKE_BUILD_TYPE=RelWithDebInfo

%build
%cmake_build

%install
%cmake_install
desktop-file-install --dir=%{buildroot}%{_datadir}/applications net.kuribo64.melonDS.desktop

%files
%license LICENSE
%{_bindir}/melonDS
%{_datadir}/applications/net.kuribo64.melonDS.desktop
%{_datadir}/icons/hicolor/*/apps/net.kuribo64.melonDS.png

%changelog
* Sat Apr 17 2021 Benjamin Lowry <ben@ben.gmbh> 0.9.1-2
- Add missing libarchive dependency

* Sat Apr 17 2021 Benjamin Lowry <ben@ben.gmbh> 0.9.1-1
- Update to 0.9.1 (sorry it took me forever)

* Thu Oct 8 2020 Benjamin Lowry <ben@ben.gmbh> 0.9-1
- Initial package
